#include <cstdlib>
#include <iostream>
#include <sstream>

using namespace std;

int mrand(int x)
{
    return (rand()*(unsigned int)rand() + rand()) % x;
}

int main(int argc, char* argv[])
{
    int plen, tlen, klen, chars, randseed;
    istringstream ss1(argv[1]);
    ss1 >> plen;
    istringstream ss2(argv[2]);
    ss2 >> tlen;
    istringstream ss3(argv[3]);
    ss3 >> klen;
    istringstream ss4(argv[4]);
    ss4 >> chars;
    istringstream ss5(argv[5]);
    ss5 >> randseed;

    srand(randseed);

    string p(plen, 'a'), t(tlen, 'a'), k(klen, 'a');
    int i, j;
    for (i = 0; i < klen; i++)
        k[i] = mrand(chars) + 'a';

    for (i = 0; i < (plen/klen + 1) * 3; i++) {
        int shift = mrand(plen+klen-1) - klen + 1;
        for (j = 0; j < klen; j++) {
            if (shift+j >= 0 && shift+j < plen)
                p[shift+j] = k[j];
        }
    }

    for (i = 0; i < (tlen/klen + 1) * 3; i++) {
        int shift = mrand(tlen+klen-1) - klen + 1;
        for (j = 0; j < klen; j++) {
            if (shift+j >= 0 && shift+j < tlen)
                t[shift+j] = k[j];
        }
    }

    cout << p << endl << t << endl;

    return 0;
}
