#include <algorithm>
#include <cstdio>
#include <iostream>
#include <string>

using namespace std;

const int maxn = 2000;

int n, m;
int ps;
string p, t;
string ans1, ans2;

void add(char dir, char val)
{
    ans1[ps] = dir;
    ans2[ps] = val;
    ps++;
}

void solve(int offset, int l, int middle, int r)
{
    int L = 0, R = l+r;
    if (offset+n > m) L = offset+n-m;
    if (offset < l+r) R = offset;
    int fL = min(3*l+2*r-L, 2*r+l+L);
    int fR = min(3*l+2*r-R, 2*r+l+R);

    if (min(fL, fR) >= ans1.length())
        return;

    int x = fL < fR ? L : R;
    ps = 0;
    int i;
    if (3*l+2*r-x < 2*r+l+x) {
        //направо l раз, потом налево l+r раз, потом направо l+r-x раз
        ans1 = ans2 = string(3*l+2*r-x, 'z');
        for (i = 1; i <= l; i++) add('R', 'z');
        for (i = 1; i <= x; i++) add('L', t[offset-i]);
        for (i = x+1; i <= l+r; i++) add('L', 'z');
        for (i = 1; i <= l+r-x; i++) add('R', t[offset+middle-1+i]);
    } else {
        //налево r раз, потом направо l+r раз, потом налево x раз
        ans1 = ans2 = string(2*r+l+x, 'z');
        for (i = 1; i <= r; i++) add('L', 'z');
        for (i = 1; i <= l+r-x; i++) add('R', t[offset+middle-1+i]);
        for (i = l+r-x+1; i <= l+r; i++) add('R', 'z');
        for (i = 1; i <= x; i++) add('L', t[offset-i]);
    }
}

int main()
{
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);

    cin >> p >> t;
    n = p.length();
    m = t.length();

    ans1 = ans2 = t.substr(0, n);
    for (int i = 0; i < n; i++)
        ans1[i] = 'R';

    for (int i = -n+1; i < m; i++) {
        bool ok = false;
        int start;
        for (int j = 0; j <= n; j++) {
            bool ok1 = (j < n && i+j >= 0 && i+j < m && p[j] == t[i+j]);
            if (!ok && ok1)
                start = j;
            if (ok && !ok1)
                solve(i+start, start, j-start, n-j);
            ok = ok1;
        }
    }

    cout << ans1.length() << endl;
    for (int i = 0; i < ans1.length(); i++)
        cout << ans1[i] << ans2[i] << endl;

    fclose(stdin); fclose(stdout);
    return 0;
}
